package com.googlecode.wicketcharts.highcharts.options;

public enum DatePrecision {

	SECOND(1000),

	MINUTE(1000 * 60),

	HOUR(1000 * 60 * 60),

	DAY(1000 * 60 * 60 * 24),

	MONTH(1000 * 60 * 60 * 24 * 30);

	private final long milliseconds;

	private DatePrecision(long millicesonds) {
		this.milliseconds = millicesonds;
	}

	public long getMilliseconds() {
		return milliseconds;
	}
}