package com.googlecode.wicketcharts.highcharts;

import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.model.PropertyModel;

import com.googlecode.wicketcharts.highcharts.options.Options;

/**
 * A simple markup container to display a chart.
 * 
 * @author Tom
 * 
 */
public class HighChartContainer extends WebMarkupContainer {
	
	private Options options;

	public HighChartContainer(String id, Options options) {
		super(id);
		this.options = options;
		add(new HighChartBehavior(this));
	}

	public Options getOptions() {
		return options;
	}

	public void setOptions(Options options) {
		this.options = options;
	}
	

}
