package com.googlecode.wicketcharts.highcharts.options;

import java.io.Serializable;

import com.google.gson.Gson;
import com.googlecode.wicketcharts.highcharts.gson.GsonFactory;

/**
 * Parent class for Java objects that can be serialized into JSON.
 * 
 * @author Tom
 * 
 */
public abstract class JsonObject implements Serializable {

	public String toJson() {
		Gson gson = GsonFactory.createGson();
		return gson.toJson(this);
	}

}
