package com.googlecode.wicketcharts.highcharts.options;

import java.awt.Color;

public class LegendOptions extends JsonObject {
	
	private HorizontalAlignment align;
	
	private Color backgroundColor;
	
	private Color borderColor;
	
	private Integer borderRadius;
	
	private Integer borderWidth;
	
	private Boolean enabled;
	
	private Boolean floating;
	
	private Integer lineHeight;
	
	private Integer margin;
	
	private Boolean reversed;
	
	private Boolean rtl;
	
	private Boolean shadow;
	
	private VerticalAlignment verticalAlign;
	
	private Integer width;
	
	private Integer x;
	
	private Integer y;
	
	private LegendLayout layout;

	public HorizontalAlignment getAlign() {
  	return align;
  }

	public void setAlign(HorizontalAlignment align) {
  	this.align = align;
  }

	public Color getBackgroundColor() {
  	return backgroundColor;
  }

	public void setBackgroundColor(Color backgroundColor) {
  	this.backgroundColor = backgroundColor;
  }

	public Color getBorderColor() {
  	return borderColor;
  }

	public void setBorderColor(Color borderColor) {
  	this.borderColor = borderColor;
  }

	public Integer getBorderRadius() {
  	return borderRadius;
  }

	public void setBorderRadius(Integer borderRadius) {
  	this.borderRadius = borderRadius;
  }

	public Integer getBorderWidth() {
  	return borderWidth;
  }

	public void setBorderWidth(Integer borderWidth) {
  	this.borderWidth = borderWidth;
  }

	public Boolean getEnabled() {
  	return enabled;
  }

	public void setEnabled(Boolean enabled) {
  	this.enabled = enabled;
  }

	public Boolean getFloating() {
  	return floating;
  }

	public void setFloating(Boolean floating) {
  	this.floating = floating;
  }

	public Integer getLineHeight() {
  	return lineHeight;
  }

	public void setLineHeight(Integer lineHeight) {
  	this.lineHeight = lineHeight;
  }

	public Integer getMargin() {
  	return margin;
  }

	public void setMargin(Integer margin) {
  	this.margin = margin;
  }

	public Boolean getReversed() {
  	return reversed;
  }

	public void setReversed(Boolean reversed) {
  	this.reversed = reversed;
  }

	public Boolean getRtl() {
  	return rtl;
  }

	public void setRtl(Boolean rtl) {
  	this.rtl = rtl;
  }

	public Boolean getShadow() {
  	return shadow;
  }

	public void setShadow(Boolean shadow) {
  	this.shadow = shadow;
  }

	public VerticalAlignment getVerticalAlign() {
  	return verticalAlign;
  }

	public void setVerticalAlign(VerticalAlignment verticalAlign) {
  	this.verticalAlign = verticalAlign;
  }

	public Integer getWidth() {
  	return width;
  }

	public void setWidth(Integer width) {
  	this.width = width;
  }

	public Integer getX() {
  	return x;
  }

	public void setX(Integer x) {
  	this.x = x;
  }

	public Integer getY() {
  	return y;
  }

	public void setY(Integer y) {
  	this.y = y;
  }

	public LegendLayout getLayout() {
		return layout;
	}

	public void setLayout(LegendLayout layout) {
		this.layout = layout;
	}

}
